// ---------------------------------------------------------------------------
// - AxsCalls.hpp                                                            -
// - afnix cross spreadsheet - command calls definition                      -
// ---------------------------------------------------------------------------
// - This program is free software;  you can redistribute it  and/or  modify -
// - it provided that this copyright notice is kept intact.                  -
// -                                                                         -
// - This program  is  distributed in  the hope  that it will be useful, but -
// - without  any  warranty;  without  even   the   implied    warranty   of -
// - merchantability or fitness for a particular purpose.  In no event shall -
// - the copyright holder be liable for any  direct, indirect, incidental or -
// - special damages arising in any way out of the use of this software.     -
// ---------------------------------------------------------------------------
// - copyright (c) 1999-2009 amaury darsch                                   -
// ---------------------------------------------------------------------------

#ifndef  AFNIX_AXSCALLS_HPP
#define  AFNIX_AXSCALLS_HPP

#ifndef  AFNIX_OBJECT_HPP
#include "Object.hpp"
#endif
 
namespace afnix {  
  Object* axs_new     (Runnable* robj, Nameset* nset, Cons* args);
  Object* axs_open    (Runnable* robj, Nameset* nset, Cons* args);
  Object* axs_save    (Runnable* robj, Nameset* nset, Cons* args);
  Object* axs_info    (Runnable* robj, Nameset* nset, Cons* args);
  Object* axs_sort    (Runnable* robj, Nameset* nset, Cons* args);
  Object* axs_view    (Runnable* robj, Nameset* nset, Cons* args);
  Object* axs_flist   (Runnable* robj, Nameset* nset, Cons* args);
  Object* axs_create  (Runnable* robj, Nameset* nset, Cons* args);
  Object* axs_import  (Runnable* robj, Nameset* nset, Cons* args);
  Object* axs_export  (Runnable* robj, Nameset* nset, Cons* args);
  Object* axs_select  (Runnable* robj, Nameset* nset, Cons* args);
  Object* axs_insert  (Runnable* robj, Nameset* nset, Cons* args);
  Object* axs_addtag  (Runnable* robj, Nameset* nset, Cons* args);
  Object* axs_addmark (Runnable* robj, Nameset* nset, Cons* args);
  Object* axs_addhead (Runnable* robj, Nameset* nset, Cons* args);
  Object* axs_addfoot (Runnable* robj, Nameset* nset, Cons* args);
}

#endif
